#!/bin/bash

HOSTNAME=`hostname --short`
WHOCARES=root
SLAPDLOG=/var/log/slapd.log
TMPFILE=/var/tmp/syncprov_check_log
BAKFILE="${TMPFILE}.bak"

while true; do
    echo "======================="  > ${TMPFILE}
    echo "Date:" `date` >> ${TMPFILE}
    /bin/grep syncprov "${SLAPDLOG}" | /bin/grep -v ,csn >> ${TMPFILE}
    head -2 ${TMPFILE}
    /bin/grep syncprov "${SLAPDLOG}" | wc -l
    wc -l < ${TMPFILE}
    wc -l < ${BAKFILE}
    XRC=`wc -l < ${TMPFILE}`
    ZRC=`wc -l < ${BAKFILE}`
    if (( XRC > ZRC )); then
	SUBJ="syncprov missing csn"
	mail -s "$HOSTNAME: $SUBJ" ${WHOCARES} < ${TMPFILE}
    fi
    cp -p ${TMPFILE} ${BAKFILE}
    sleep 120 
done
